Subject: Re: [PATCH v3] git-p4: add "--path-encoding" option

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Sep 2015 12:06:27 -0700

Lars Schneider <[email-masked]> writes:

> I searched the Internet for clues around cp1252 and found that a
> similar patch was submitted to Mercurial just a month ago. The author
> seconds my cp1252 observation:
> http://mercurial.808500.n3.nabble.com/PATCH-stable-convert-use-original-local-encoding-when-converting-from-Perfoce-tp4025088p4025094.html

Thanks for a pointer.  I see this bit in that thread:

     If P4CHARSET is not set explicitly when connecting to a Unicode
     mode server, a default charset will be chosen based on the
     client's platform and/or code page.

So I would guess that it is reproducible for you as you are always
on a client with the same platform and/or code page, and it would be
more honest to phrase it as "As an example, Perforce on my Windows
box uses..."  or something along that line.

Thanks.